=== debian/changelog ===
colobot (0.1.3-1) unstable; urgency=medium

  * New 0.1.3 upstream release

  * Drop patches that were from upstream
  * Update debian/copyright:
    - Copyright dates
    - New CC-BY-SA-4.0 files in the data tarball

 -- Didier Raboud <odyx@debian.org>  Wed, 02 Jul 2014 12:03:20 +0200

colobot (0.1.2-4) unstable; urgency=medium

  * Add menu file and xpm icon, therefore add imagemagick to Build-Depends to
    convert the icon from the 32x32 png (Closes: #731838)
  * Replace the patch to hide the black squares bug by the upstream fix
  * Move the repository from collab-maint to pkg-games; update the VCS-*
    fields accordingly

 -- Didier Raboud <odyx@debian.org>  Fri, 14 Mar 2014 13:53:55 +0100
